VSDFieldList.cpp File Reference
`#include "VSDFieldList.h"`
`#include <time.h>`
`#include <cmath>`
`#include "VSDCollector.h"`
`#include "libvisio_utils.h"`

## Macros

#define | MAX_BUFFER 1024

## Functions

static librevenge::RVNGString | doubleToString (const double value, const char *format, const char *postfix)
double | convertNumber (const unsigned short cellType, const double number)
const char * | getUnitString (const unsigned short cellType)

## Macro Definition Documentation

## MAX_BUFFER

#define MAX_BUFFER 1024

Referenced by libvisio::VSDNumericField::datetimeToString(), and libvisio::VSDMetaData::parseTimes().

## Function Documentation

## convertNumber()

double convertNumber | ( | const unsigned short | cellType,
|  | const double | number )

Referenced by libvisio::VSDNumericField::getString().

## doubleToString()

librevenge::RVNGString doubleToString | ( | const double | value,
|  | const char * | format,
|  | const char * | postfix )

static

Referenced by libvisio::VSDNumericField::getString().

## getUnitString()

const char * getUnitString | ( | const unsigned short | cellType | ) |

Referenced by libvisio::VSDNumericField::getString().